python3-geoip2-2.9.0-3.1.noarch.rpm


Advertisement

Description

python3-geoip2 - MaxMind GeoIP2 Python API

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-geoip2-2.9.0-3.1.noarch.rpm
Package name python3-geoip2
Package version 2.9.0
Package release 3.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/maxmind/GeoIP2-python
License Apache-2.0
Maintainer -
Download size 41.46 KB
Installed size 201.94 KB
This package provides an API for the GeoIP2 web services and databases.
The API also works with MaxMind's free GeoLite2 databases.

Alternatives

Package Version Architecture Repository
python3-geoip2 - - -

Requires

Name Value
python(abi) = 3.7
python3-maxminddb >= 1.4.0
python3-requests >= 2.9

Provides

Name Value
python3-geoip2 = 2.9.0-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-geoip2-2.9.0-3.1.noarch.rpm
Source Package python-geoip2-2.9.0-3.1.src.rpm

Install Howto

Install python3-geoip2 rpm package:

# zypper install python3-geoip2

Files

Path
/usr/lib/python3.7/site-packages/geoip2/__init__.py
/usr/lib/python3.7/site-packages/geoip2/compat.py
/usr/lib/python3.7/site-packages/geoip2/database.py
/usr/lib/python3.7/site-packages/geoip2/errors.py
/usr/lib/python3.7/site-packages/geoip2/mixins.py
/usr/lib/python3.7/site-packages/geoip2/models.py
/usr/lib/python3.7/site-packages/geoip2/records.py
/usr/lib/python3.7/site-packages/geoip2/webservice.py
/usr/lib/python3.7/site-packages/geoip2-2.9.0-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/geoip2-2.9.0-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/geoip2-2.9.0-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/geoip2-2.9.0-py3.7.egg-info/requires.txt
/usr/lib/python3.7/site-packages/geoip2-2.9.0-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/geoip2/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/compat.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/compat.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/database.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/database.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/errors.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/errors.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/mixins.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/mixins.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/models.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/models.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/records.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/records.cpython-37.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/webservice.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/geoip2/__pycache__/webservice.cpython-37.pyc
/usr/share/doc/packages/python3-geoip2/HISTORY.rst
/usr/share/doc/packages/python3-geoip2/README.rst
/usr/share/licenses/python3-geoip2/LICENSE

Changelog

2019-03-11 - John Vandenberg <jayvdb@gmail.com>
- Fix minimum build dependency of maxminddb
- Fix fdupes
- Use more useful GitHub repo as URL
- Add HISTORY.rst to %doc
2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-05-27 - sebix+novell.com@sebix.at
- update to version 2.9.0:
* You may now pass in the database via a file descriptor rather than a file
name when creating a new ``geoip2.database.Reader`` object using ``MODE_FD``.
This will read the database from the file descriptor into memory. Pull
request by nkinkade. GitHub #53.
2018-05-02 - tchvatal@suse.com
- Use license macro for license
2018-04-12 - sebix+novell.com@sebix.at
- update to version 2.8.0:
* Renamed user ID to account ID in the code and added support for the new
``ACCOUNT_ID_REQUIRED`` AND ``ACCOUNT_ID_UNKNOWN`` error codes.
- update to version 2.7.0:
* The ``is_in_european_union`` attribute was added to
``geoip2.record.Country`` and ``geoip2.record.RepresentedCountry``. This
attribute is ``True`` if the country is a member state of the European
Union.
2018-03-03 - arun@gmx.de
- specfile:
* update copyright year
* don't use python_module for Requires
2017-10-27 - sebix+novell.com@sebix.at
- update to version 2.6.0:
* The following new anonymizer attributes were added to ``geoip2.record.Traits``
for use with GeoIP2 Precision Insights: ``is_anonymous``,
``is_anonymous_vpn``, ``is_hosting_provider``, ``is_public_proxy``, and
``is_tor_exit_node``.
2017-05-25 - sebix+novell.com@sebix.at
- initial package

See Also

Package Description
python3-geojson-2.4.1-1.1.noarch.rpm Python bindings and utilities for GeoJSON
python3-geolinks-0.2.0-1.1.noarch.rpm Utilities to deal with geospatial links
python3-gevent-1.4.0-4.1.i586.rpm Python network library that uses greenlet and libevent
python3-gevent-1.4.0-4.1.x86_64.rpm Python network library that uses greenlet and libevent
python3-geventhttpclient-1.3.1-1.1.i586.rpm HTTP client library for gevent
python3-geventhttpclient-1.3.1-1.1.x86_64.rpm HTTP client library for gevent
python3-gexiv2-0.11.0-1.2.i586.rpm A GObject-based Exiv2 wrapper
python3-gexiv2-0.11.0-1.2.x86_64.rpm A GObject-based Exiv2 wrapper
python3-ggplot-0.11.5-2.2.noarch.rpm Python clone of R's ggplot
python3-girder-client-2.4.0-1.1.noarch.rpm Python Girder client
python3-git-pw-1.5.1-1.1.i586.rpm A tool for integrating Git with Patchwork
python3-git-pw-1.5.1-1.1.x86_64.rpm A tool for integrating Git with Patchwork
python3-git-review-1.27.0-1.2.noarch.rpm Tool to submit code to Gerrit
python3-git-url-parse-1.2.2-1.1.noarch.rpm A GIT URL parser for Python
python3-gitdb2-2.0.5-1.1.i586.rpm Git Object Database
Advertisement
Advertisement